# Logical functions

<table><thead><tr><th width="138">NAME</th><th width="543">DESCRIPTION</th><th data-hidden>SYNTAX</th><th data-hidden>EXPLANATION</th><th data-hidden>EXAMPLE</th></tr></thead><tbody><tr><td><a href="/pages/N1YvyeQyDxwms59aVKc0">AND</a></td><td>Returns TRUE if all the conditions are TRUE</td><td></td><td></td><td></td></tr><tr><td><a href="/pages/tnNX7Iqj6QpkPW8XI0E8">IN</a></td><td>Returns TRUE if the list of values being searched is in the array</td><td></td><td></td><td></td></tr><tr><td><a href="/pages/nqUHjRdNLSLINMs0qtc9">ISBLANK</a></td><td>Returns the logical value TRUE if the value argument is a reference to an empty cell</td><td>ISBLANK(value)</td><td>Returns TRUE if AC is empty</td><td>ISBLANK(AC)</td></tr><tr><td><a href="/pages/YBxJKX8LcNwE3TQj1cZg">ISEMPTY</a></td><td>Returns the logical value TRUE if the value argument is a reference to an empty cell</td><td>ISEMPTY(value)</td><td>Returns TRUE if AC has no value</td><td>ISEMPTY(AC)</td></tr><tr><td><a href="/pages/jc3eZtrXZNSKrsurib3U">ISNUMBER</a></td><td>Returns the logical value TRUE if the value argument is a valid number</td><td>ISNUMBER(value)</td><td>Returns AC-PY/PY if the value is a number else returns 0</td><td>IF(ISNUMBER((AC-PY)/PY), (AC-PY)/PY , 0)</td></tr><tr><td><a href="/pages/CPsD0awlPQ4CqxzpqrwQ">NOT</a></td><td>Changes FALSE to TRUE and TRUE to FALSE</td><td>NOT( logical_test )</td><td>Will return 50 if the region is not West otherwise returns 25</td><td>IF(NOT(Region == "West"), 50, 25)</td></tr><tr><td><a href="/pages/nJ9p09DiBDJSsg2GtUOV">OR</a></td><td>Returns TRUE if any of the arguments are TRUE and FALSE only if all arguments are FALSE</td><td>OR( logical_test1, [logical_test2], ... )</td><td>Will return 25 if the region is West or East otherwise returns 30</td><td>IF(OR(Region == "West", Region =="East"), 25, 30)</td></tr><tr><td><a href="/pages/QL4NOrn8moCPVPTDbkEW">XOR</a></td><td>Returns a logical 'Exclusive OR' of all the arguments</td><td>XOR( logical_test1, [logical_test2], ... )</td><td>Will return 25 for all category in the West except for category Urban, and returns 25 for all Urban category under all region except for west, for all other items returns 30</td><td>IF(XOR(Region == "West", Category=="Urban"), 25, 30)</td></tr></tbody></table>

## Logical Operators

<table><thead><tr><th width="174.33333333333334">TITLE</th><th>OPERATORS</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td>AND</td><td>&#x26;&#x26;</td><td>Logical AND</td></tr><tr><td>OR</td><td>||</td><td>Logical OR</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inforiver.com/premium-table/formula-syntax/logical-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
